Download it now!
Bug 129629 - Find and Replace dialog: "Other options" won't stay closed, if certain options are ticked
Summary: Find and Replace dialog: "Other options" won't stay closed, if certain option...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.3 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Dialog-Remember-Settings Find&Replace-Dialog
  Show dependency treegraph
 
Reported: 2019-12-26 13:12 UTC by R. Green
Modified: 2020-11-13 14:02 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description R. Green 2019-12-26 13:12:29 UTC
Any writer file will do as an example.

1. Open the Find and Replace dialogue.
2. Click the "Other options" button to close the bottom half of the dialogue.
3. Enter a search term and click "Find next".

Expected result: The selected search term is highlighted in the text, if available. BUT, "Other options" remains closed.
Actual result: "Other options" automatically opens again when the search term is highlighted in the text.

The state of "Other options" should remain as set by the USER.
Comment 1 ian 2019-12-26 21:34:47 UTC
Thank you for reporting the bug. I can confirm that the bug is present in 

Version: 6.5.0.0.alpha0+ (x64)
Build ID: 209fc9fd7fa433947af0bf86e210d73fa7f5a045
CPU threads: 2; OS: Windows 10.0 Build 17763; UI render: GL; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL
Comment 2 Buovjaga 2020-01-24 13:22:04 UTC
This is the result of bug 98544 being fixed. It might be that the fix has to be implemented in a completely different way to avoid this new issue.

Let's alert UX team.
Comment 3 Buovjaga 2020-01-24 13:22:54 UTC
I forgot to mention that I bibisected this with win32-6.1.
Comment 4 Heiko Tietze 2020-02-05 14:12:27 UTC
Whether the advanced options are expanded or not depends on what you did before. The default is collapsed. And when you manually close it, why should it open on any interaction? 

Sounds like a WFM to me.
Comment 5 Buovjaga 2020-02-07 10:36:34 UTC
(In reply to Heiko Tietze from comment #4)
> Whether the advanced options are expanded or not depends on what you did
> before. The default is collapsed. And when you manually close it, why should
> it open on any interaction? 
> 
> Sounds like a WFM to me.

Heiko: your statement "And when you manually close it, why should it open on any interaction?" seems to agree with the original reporter, so I am not sure why you propose WFM?

The user problem is exactly that the damned dialog will not stay still. You manually collapse it, hit Find next and it expands.
Comment 6 R. Green 2020-02-17 12:17:10 UTC
(In reply to Heiko Tietze from comment #4)
> And when you manually close it, why should it open on any interaction? 
That's the whole point. It DOES open: every time you perform a "Find next" operation or close and reopen the dialogue. So DWFM (Doesn't work for me). :)

Also, it's not trivial, minor at least.
Comment 7 Heiko Tietze 2020-02-19 10:09:56 UTC
Okay, so let's enhance the "if (IsOptionSet) then DoExpand" to "if (IsOptionSet && !UserCollapsed) then DoExpand". Wouldn't call this a regression.